commit:     9399d7a9cb610955a9c9fab6bcf3ea72ebf419fb
Author:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 16 08:01:24 2020 +0000
Commit:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
CommitDate: Fri Oct 16 08:05:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9399d7a9

dev-libs/confuse: version bump

Closes: https://github.com/gentoo/gentoo/pull/17625
Package-Manager: Portage-3.0.4, Repoman-2.3.23
Signed-off-by: Sergey Popov <pinkbyte <AT> gentoo.org>

 dev-libs/confuse/Manifest           |  1 +
 dev-libs/confuse/confuse-3.3.ebuild | 53 +++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-libs/confuse/Manifest b/dev-libs/confuse/Manifest
index 49d169abc6b..43edbcbb05b 100644
--- a/dev-libs/confuse/Manifest
+++ b/dev-libs/confuse/Manifest
@@ -1,2 +1,3 @@
 DIST confuse-3.0.tar.xz 449144 BLAKE2B 
c8e913aa8b074d55535c35ddce7de1a0f21dade78839f66723272780345d4b5c5f265c2040a4abc9b473a09e221b50450382dff60103198f72384d28d1ab068e
 SHA512 
12279045b772e94d2e29201ab1d7aef1ef8e698780a22d6a282d12f51ccd9a437e7817a4dd5e39bdfc8dae79700b72aa0783b4b983a935d751403d2cffd1161e
 DIST confuse-3.2.2.tar.xz 473912 BLAKE2B 
d8df03f4543291afa6d46a36c48f78d25aee7cdcd0fab7a37a639a73cd0562b52a70057075f83f7e4e56bb542a27561a65e3217c458d757345c46a29203e6187
 SHA512 
c6baea65e064fe7f2d1bde187c6dcbb7f03c31f5d777cb04576f9cc2d94e9c96b7ee202e030e9a2c7eb619deb240d9e76fb12b3528ae5aa0d3abe231354d12c9
+DIST confuse-3.3.tar.xz 485140 BLAKE2B 
41f426544341966e4a4148c40951dd7f6771b70b182e9ab9f19ce9be781c3ca42c86615f48e91f3997c8e0654111de2360a09c070afc21047b6edb4a8187755f
 SHA512 
93cc62d98166199315f65a2f6f540a9c0d33592b69a2c6a57fd17f132aecc6ece39b9813b96c9a49ae2b66a99b7eba1188a9ce9e360e1c5fb4b973619e7088a0

diff --git a/dev-libs/confuse/confuse-3.3.ebuild 
b/dev-libs/confuse/confuse-3.3.ebuild
new file mode 100644
index 00000000000..b1d52d81016
--- /dev/null
+++ b/dev-libs/confuse/confuse-3.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit multilib-minimal
+
+DESCRIPTION="a configuration file parser library"
+HOMEPAGE="https://github.com/martinh/libconfuse";
+SRC_URI="https://github.com/martinh/libconfuse/releases/download/v${PV}/${P}.tar.xz";
+
+LICENSE="ISC"
+SLOT="0/2.1.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+
+IUSE="nls static-libs"
+
+BDEPEND="
+       sys-devel/flex
+       sys-devel/libtool
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+"
+RDEPEND="
+       nls? ( virtual/libintl[${MULTILIB_USEDEP}] )
+"
+
+DOCS=( AUTHORS )
+
+src_prepare() {
+       default
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       # examples are normally compiled but not installed. They
+       # fail during a mingw crosscompile.
+       local ECONF_SOURCE=${BUILD_DIR}
+       econf \
+               --enable-shared \
+               --disable-examples \
+               $(use_enable nls) \
+               $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+       doman doc/man/man3/*.3
+       dodoc -r doc/html
+
+       docinto examples
+       dodoc examples/*.{c,conf}
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to